/* Copyright (C) 2006 Charlie C
*
* This software is provided 'as-is', without any express or implied
* warranty.  In no event will the authors be held liable for any damages
* arising from the use of this software.
*
* Permission is granted to anyone to use this software for any purpose,
* including commercial applications, and to alter it and redistribute it
* freely, subject to the following restrictions:
*
* 1. The origin of this software must not be misrepresented; you must not
*    claim that you wrote the original software. If you use this software
*    in a product, an acknowledgment in the product documentation would be
*    appreciated but is not required.
* 2. Altered source versions must be plainly marked as such, and must not be
*    misrepresented as being the original software.
* 3. This notice may not be removed or altered from any source distribution.
*/
// Auto generated from makesdna dna.c
#ifndef __BLENDERCOMMON_H__
#define __BLENDERCOMMON_H__

// put an empty struct in the case
typedef struct bInvalidHandle {
	int unused;
}bInvalidHandle;

namespace Blender {
    class Link;
    class LinkData;
    class ListBase;
    class vec2s;
    class vec2f;
    class vec3f;
    class rcti;
    class rctf;
    class IDPropertyData;
    class IDProperty;
    class ID;
    class Library;
    class PreviewImage;
    class IpoDriver;
    class IpoCurve;
    class Ipo;
    class KeyBlock;
    class Key;
    class TextLine;
    class Text;
    class PackedFile;
    class GPUDOFSettings;
    class GPUSSAOSettings;
    class GPUFXSettings;
    class CameraStereoSettings;
    class Camera;
    class ImageUser;
    class ImageAnim;
    class ImageView;
    class ImagePackedFile;
    class RenderSlot;
    class Image;
    class MTex;
    class CBData;
    class ColorBand;
    class EnvMap;
    class PointDensity;
    class VoxelData;
    class OceanTex;
    class Tex;
    class TexMapping;
    class ColorMapping;
    class Lamp;
    class VolumeSettings;
    class GameSettings;
    class TexPaintSlot;
    class Material;
    class VFont;
    class MetaElem;
    class MetaBall;
    class BezTriple;
    class BPoint;
    class Nurb;
    class CharInfo;
    class TextBox;
    class EditNurb;
    class Curve;
    class Mesh;
    class TFace;
    class MFace;
    class MEdge;
    class MDeformWeight;
    class MDeformVert;
    class MVert;
    class MCol;
    class MPoly;
    class MLoop;
    class MTexPoly;
    class MLoopUV;
    class MLoopCol;
    class MSelect;
    class MTFace;
    class MFloatProperty;
    class MIntProperty;
    class MStringProperty;
    class OrigSpaceFace;
    class OrigSpaceLoop;
    class MDisps;
    class MultiresCol;
    class MultiresColFace;
    class MultiresFace;
    class MultiresEdge;
    class MultiresLevel;
    class Multires;
    class MRecast;
    class GridPaintMask;
    class MVertSkin;
    class FreestyleEdge;
    class FreestyleFace;
    class ModifierData;
    class MappingInfoModifierData;
    class SubsurfModifierData;
    class LatticeModifierData;
    class CurveModifierData;
    class BuildModifierData;
    class MaskModifierData;
    class ArrayModifierData;
    class MirrorModifierData;
    class EdgeSplitModifierData;
    class BevelModifierData;
    class SmokeModifierData;
    class DisplaceModifierData;
    class UVProjectModifierData;
    class DecimateModifierData;
    class SmoothModifierData;
    class CastModifierData;
    class WaveModifierData;
    class ArmatureModifierData;
    class HookModifierData;
    class SoftbodyModifierData;
    class ClothModifierData;
    class CollisionModifierData;
    class SurfaceModifierData;
    class BooleanModifierData;
    class MDefInfluence;
    class MDefCell;
    class MeshDeformModifierData;
    class ParticleSystemModifierData;
    class ParticleInstanceModifierData;
    class ExplodeModifierData;
    class MultiresModifierData;
    class FluidsimModifierData;
    class ShrinkwrapModifierData;
    class SimpleDeformModifierData;
    class ShapeKeyModifierData;
    class SolidifyModifierData;
    class ScrewModifierData;
    class OceanModifierData;
    class WarpModifierData;
    class WeightVGEditModifierData;
    class WeightVGMixModifierData;
    class WeightVGProximityModifierData;
    class DynamicPaintModifierData;
    class RemeshModifierData;
    class SkinModifierData;
    class TriangulateModifierData;
    class LaplacianSmoothModifierData;
    class CorrectiveSmoothModifierData;
    class UVWarpModifierData;
    class MeshCacheModifierData;
    class LaplacianDeformModifierData;
    class WireframeModifierData;
    class DataTransferModifierData;
    class NormalEditModifierData;
    class EditLatt;
    class Lattice;
    class bDeformGroup;
    class BoundBox;
    class LodLevel;
    class Object;
    class ObHook;
    class DupliObject;
    class PartDeflect;
    class EffectorWeights;
    class PTCacheExtra;
    class PTCacheMem;
    class PointCache;
    class SBVertex;
    class BulletSoftBody;
    class SoftBody;
    class FluidVertexVelocity;
    class FluidsimSettings;
    class World;
    class Base;
    class AviCodecData;
    class QuicktimeCodecData;
    class QuicktimeCodecSettings;
    class FFMpegCodecData;
    class AudioData;
    class SceneRenderLayer;
    class SceneRenderView;
    class Stereo3dFormat;
    class ImageFormatData;
    class BakeData;
    class RenderData;
    class RenderProfile;
    class GameDome;
    class GameFraming;
    class RecastData;
    class GameData;
    class TimeMarker;
    class Paint;
    class ImagePaintSettings;
    class ParticleBrushData;
    class ParticleEditSettings;
    class Sculpt;
    class UvSculpt;
    class VPaint;
    class TransformOrientation;
    class UnifiedPaintSettings;
    class MeshStatVis;
    class ToolSettings;
    class bStats;
    class UnitSettings;
    class PhysicsSettings;
    class DisplaySafeAreas;
    class Scene;
    class BGpic;
    class RegionView3D;
    class View3D;
    class View2D;
    class SpaceLink;
    class SpaceInfo;
    class SpaceButs;
    class SpaceOops;
    class SpaceIpo;
    class SpaceNla;
    class SpaceTimeCache;
    class SpaceTime;
    class SpaceSeq;
    class MaskSpaceInfo;
    class FileSelectParams;
    class SpaceFile;
    class FSMenuEntry;
    class SpaceImage;
    class SpaceText;
    class Script;
    class SpaceScript;
    class bNodeTreePath;
    class SpaceNode;
    class SpaceLogic;
    class ConsoleLine;
    class SpaceConsole;
    class SpaceUserPref;
    class SpaceClip;
    class uiFont;
    class uiFontStyle;
    class uiStyle;
    class uiWidgetColors;
    class uiWidgetStateColors;
    class uiPanelColors;
    class uiGradientColors;
    class ThemeUI;
    class ThemeSpace;
    class ThemeWireColor;
    class bTheme;
    class bAddon;
    class bPathCompare;
    class SolidLight;
    class WalkNavigation;
    class UserDef;
    class bScreen;
    class ScrVert;
    class ScrEdge;
    class Panel;
    class PanelCategoryStack;
    class uiList;
    class uiPreview;
    class ScrArea;
    class ARegion;
    class FileGlobal;
    class StripAnim;
    class StripElem;
    class StripCrop;
    class StripTransform;
    class StripColorBalance;
    class StripProxy;
    class Strip;
    class Sequence;
    class MetaStack;
    class Editing;
    class WipeVars;
    class GlowVars;
    class TransformVars;
    class SolidColorVars;
    class SpeedControlVars;
    class GaussianBlurVars;
    class SequenceModifierData;
    class ColorBalanceModifierData;
    class CurvesModifierData;
    class HueCorrectModifierData;
    class BrightContrastModifierData;
    class SequencerMaskModifierData;
    class SequencerScopes;
    class Effect;
    class BuildEff;
    class PartEff;
    class WaveEff;
    class TreeStoreElem;
    class TreeStore;
    class bProperty;
    class bNearSensor;
    class bMouseSensor;
    class bTouchSensor;
    class bKeyboardSensor;
    class bPropertySensor;
    class bActuatorSensor;
    class bDelaySensor;
    class bCollisionSensor;
    class bRadarSensor;
    class bRandomSensor;
    class bRaySensor;
    class bArmatureSensor;
    class bMessageSensor;
    class bSensor;
    class bJoystickSensor;
    class bExpressionCont;
    class bPythonCont;
    class bController;
    class bAddObjectActuator;
    class bActionActuator;
    class Sound3D;
    class bSoundActuator;
    class bEditObjectActuator;
    class bSceneActuator;
    class bPropertyActuator;
    class bObjectActuator;
    class bIpoActuator;
    class bCameraActuator;
    class bConstraintActuator;
    class bGroupActuator;
    class bRandomActuator;
    class bMessageActuator;
    class bGameActuator;
    class bVisibilityActuator;
    class bTwoDFilterActuator;
    class bParentActuator;
    class bStateActuator;
    class bArmatureActuator;
    class bSteeringActuator;
    class bMouseActuator;
    class bActuator;
    class bSound;
    class GroupObject;
    class Group;
    class Bone;
    class bArmature;
    class bMotionPathVert;
    class bMotionPath;
    class bAnimVizSettings;
    class bPoseChannel;
    class bPose;
    class bIKParam;
    class bItasc;
    class bActionGroup;
    class bAction;
    class bDopeSheet;
    class SpaceAction;
    class bActionChannel;
    class bConstraintChannel;
    class bConstraint;
    class bConstraintTarget;
    class bPythonConstraint;
    class bKinematicConstraint;
    class bSplineIKConstraint;
    class bTrackToConstraint;
    class bRotateLikeConstraint;
    class bLocateLikeConstraint;
    class bSizeLikeConstraint;
    class bSameVolumeConstraint;
    class bTransLikeConstraint;
    class bMinMaxConstraint;
    class bActionConstraint;
    class bLockTrackConstraint;
    class bDampTrackConstraint;
    class bFollowPathConstraint;
    class bStretchToConstraint;
    class bRigidBodyJointConstraint;
    class bClampToConstraint;
    class bChildOfConstraint;
    class bTransformConstraint;
    class bPivotConstraint;
    class bLocLimitConstraint;
    class bRotLimitConstraint;
    class bSizeLimitConstraint;
    class bDistLimitConstraint;
    class bShrinkwrapConstraint;
    class bFollowTrackConstraint;
    class bCameraSolverConstraint;
    class bObjectSolverConstraint;
    class bActionModifier;
    class bActionStrip;
    class bNodeStack;
    class bNodeSocket;
    class bNode;
    class bNodeInstanceKey;
    class bNodeInstanceHashEntry;
    class bNodePreview;
    class bNodeLink;
    class bNodeTree;
    class bNodeSocketValueInt;
    class bNodeSocketValueFloat;
    class bNodeSocketValueBoolean;
    class bNodeSocketValueVector;
    class bNodeSocketValueRGBA;
    class bNodeSocketValueString;
    class NodeFrame;
    class NodeImageAnim;
    class ColorCorrectionData;
    class NodeColorCorrection;
    class NodeBokehImage;
    class NodeBoxMask;
    class NodeEllipseMask;
    class NodeImageLayer;
    class NodeBlurData;
    class NodeDBlurData;
    class NodeBilateralBlurData;
    class NodeHueSat;
    class NodeImageFile;
    class NodeImageMultiFile;
    class NodeImageMultiFileSocket;
    class NodeChroma;
    class NodeTwoXYs;
    class NodeTwoFloats;
    class NodeGeometry;
    class NodeVertexCol;
    class NodeDefocus;
    class NodeScriptDict;
    class NodeGlare;
    class NodeTonemap;
    class NodeLensDist;
    class NodeColorBalance;
    class NodeColorspill;
    class NodeDilateErode;
    class NodeMask;
    class NodeTexBase;
    class NodeTexSky;
    class NodeTexImage;
    class NodeTexChecker;
    class NodeTexBrick;
    class NodeTexEnvironment;
    class NodeTexGradient;
    class NodeTexNoise;
    class NodeTexVoronoi;
    class NodeTexMusgrave;
    class NodeTexWave;
    class NodeTexMagic;
    class NodeShaderAttribute;
    class NodeShaderVectTransform;
    class TexNodeOutput;
    class NodeKeyingScreenData;
    class NodeKeyingData;
    class NodeTrackPosData;
    class NodeTranslateData;
    class NodePlaneTrackDeformData;
    class NodeShaderScript;
    class NodeShaderTangent;
    class NodeShaderNormalMap;
    class NodeShaderUVMap;
    class NodeSunBeams;
    class CurveMapPoint;
    class CurveMap;
    class CurveMapping;
    class Histogram;
    class Scopes;
    class ColorManagedViewSettings;
    class ColorManagedDisplaySettings;
    class ColorManagedColorspaceSettings;
    class BrushClone;
    class Brush;
    class PaletteColor;
    class Palette;
    class PaintCurvePoint;
    class PaintCurve;
    class CustomDataLayer;
    class CustomDataExternal;
    class CustomData;
    class HairKey;
    class ParticleKey;
    class BoidParticle;
    class ParticleSpring;
    class ChildParticle;
    class ParticleTarget;
    class ParticleDupliWeight;
    class ParticleData;
    class SPHFluidSettings;
    class ParticleSettings;
    class ParticleSystem;
    class ClothSimSettings;
    class ClothCollSettings;
    class bGPDspoint;
    class bGPDstroke;
    class bGPDframe;
    class bGPDlayer;
    class bGPdata;
    class ReportList;
    class wmWindowManager;
    class wmWindow;
    class wmKeyMapItem;
    class wmKeyMapDiffItem;
    class wmKeyMap;
    class wmKeyConfig;
    class wmOperator;
    class FModifier;
    class FMod_Generator;
    class FMod_FunctionGenerator;
    class FCM_EnvelopeData;
    class FMod_Envelope;
    class FMod_Cycles;
    class FMod_Python;
    class FMod_Limits;
    class FMod_Noise;
    class FMod_Stepped;
    class DriverTarget;
    class DriverVar;
    class ChannelDriver;
    class FPoint;
    class FCurve;
    class AnimMapPair;
    class AnimMapper;
    class NlaStrip;
    class NlaTrack;
    class KS_Path;
    class KeyingSet;
    class AnimOverride;
    class AnimData;
    class IdAdtTemplate;
    class BoidRule;
    class BoidRuleGoalAvoid;
    class BoidRuleAvoidCollision;
    class BoidRuleFollowLeader;
    class BoidRuleAverageSpeed;
    class BoidRuleFight;
    class BoidData;
    class BoidState;
    class BoidSettings;
    class SmokeDomainSettings;
    class SmokeFlowSettings;
    class SmokeCollSettings;
    class Speaker;
    class MovieClipUser;
    class MovieClipProxy;
    class MovieClip;
    class MovieClipScopes;
    class MovieReconstructedCamera;
    class MovieTrackingCamera;
    class MovieTrackingMarker;
    class MovieTrackingTrack;
    class MovieTrackingPlaneMarker;
    class MovieTrackingPlaneTrack;
    class MovieTrackingSettings;
    class MovieTrackingStabilization;
    class MovieTrackingReconstruction;
    class MovieTrackingObject;
    class MovieTrackingStats;
    class MovieTrackingDopesheetChannel;
    class MovieTrackingDopesheetCoverageSegment;
    class MovieTrackingDopesheet;
    class MovieTracking;
    class DynamicPaintSurface;
    class DynamicPaintCanvasSettings;
    class DynamicPaintBrushSettings;
    class Mask;
    class MaskParent;
    class MaskSplinePointUW;
    class MaskSplinePoint;
    class MaskSpline;
    class MaskLayerShape;
    class MaskLayer;
    class RigidBodyWorld;
    class RigidBodyOb;
    class RigidBodyCon;
    class FreestyleLineSet;
    class FreestyleModuleConfig;
    class FreestyleConfig;
    class LineStyleModifier;
    class LineStyleColorModifier_AlongStroke;
    class LineStyleAlphaModifier_AlongStroke;
    class LineStyleThicknessModifier_AlongStroke;
    class LineStyleColorModifier_DistanceFromCamera;
    class LineStyleAlphaModifier_DistanceFromCamera;
    class LineStyleThicknessModifier_DistanceFromCamera;
    class LineStyleColorModifier_DistanceFromObject;
    class LineStyleAlphaModifier_DistanceFromObject;
    class LineStyleThicknessModifier_DistanceFromObject;
    class LineStyleColorModifier_Material;
    class LineStyleAlphaModifier_Material;
    class LineStyleThicknessModifier_Material;
    class LineStyleGeometryModifier_Sampling;
    class LineStyleGeometryModifier_BezierCurve;
    class LineStyleGeometryModifier_SinusDisplacement;
    class LineStyleGeometryModifier_SpatialNoise;
    class LineStyleGeometryModifier_PerlinNoise1D;
    class LineStyleGeometryModifier_PerlinNoise2D;
    class LineStyleGeometryModifier_BackboneStretcher;
    class LineStyleGeometryModifier_TipRemover;
    class LineStyleGeometryModifier_Polygonalization;
    class LineStyleGeometryModifier_GuidingLines;
    class LineStyleGeometryModifier_Blueprint;
    class LineStyleGeometryModifier_2DOffset;
    class LineStyleGeometryModifier_2DTransform;
    class LineStyleThicknessModifier_Calligraphy;
    class FreestyleLineStyle;
}
#endif//__BLENDERCOMMON_H__